Bug 960350 (CVE-2013-2001) - CVE-2013-2001 libXxf86vm: Multiple Array Index error leading to heap-based OOB write
Summary: CVE-2013-2001 libXxf86vm: Multiple Array Index error leading to heap-based OO...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2001
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 966826 1078046
Blocks: 959130 1101912
TreeView+ depends on / blocked
 
Reported: 2013-05-07 05:15 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:04 UTC (History)
5 users (show)

Fixed In Version: libXxf86vm 1.1.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-16 06:17:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1436 normal SHIPPED_LIVE Moderate: X11 client libraries security, bug fix, and enhancement update 2014-10-14 01:06:02 UTC

Description Huzaifa S. Sidhpurwala 2013-05-07 05:15:40 UTC
Multiple Array index errors leading to heap-based buffer OOB write flaws were found in the libXxf86vm, X.Org X11 libXxf86vm runtime library. When a X client is connected to a malcicious X server , (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

      Affected functions:  XF86VidModeGetGammaRamp()

Comment 4 Jan Lieskovsky 2013-05-23 16:04:16 UTC
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3

Comment 5 Huzaifa S. Sidhpurwala 2013-05-24 04:00:05 UTC
Created libXxf86vm tracking bugs for this issue

Affects: fedora-all [bug 966826]

Comment 6 Fedora Update System 2013-05-28 02:18:04 UTC
libXxf86vm-1.1.2-5.20130524git4c4123441.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-06-03 03:05:14 UTC
libXxf86vm-1.1.2-5.20130524git4c4123441.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Huzaifa S. Sidhpurwala 2013-06-05 03:38:37 UTC
This issue affects the version of libXxf86vm as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 9 Huzaifa S. Sidhpurwala 2013-06-05 03:49:26 UTC
Statement:

This issue affects the libXxf86vm package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/

Comment 10 Jan Lieskovsky 2013-06-17 09:49:46 UTC
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23

Comment 12 errata-xmlrpc 2014-10-14 05:05:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html


Note You need to log in before you can comment on or make changes to this bug.